Skip to main content
GET
/
api
/
v1
/
staking
/
orders
Get staking order list
curl --request GET \
  --url https://api.example.com/api/v1/staking/orders
{
  "code": 0,
  "msg": "ok",
  "data": {
    "items": [
      {
        "orderId": "stk_20260511_0001",
        "productId": "base_usdc_nexfi_vault",
        "walletAddress": "0xabc1230000000000000000000000000000000000",
        "orderType": "subscribe",
        "status": "confirmed",
        "txHash": "0x123",
        "updatedAt": "2026-05-11T10:00:00.000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

walletAddress
string
required

Wallet address.

Example:

"0xabc1230000000000000000000000000000000000"

status
string

Order status filter.

Example:

"confirmed"

orderType
string

Order type filter.

Example:

"subscribe"

limit
integer

Max items to return.

Example:

20

Response

200 - application/json

Order list response

Standard response envelope.

code
integer
required

Business status code. 0 means success.

Example:

0

msg
string
required

Human-readable response message.

Example:

"ok"

data
object